Skip to content
Guides
Content & StorefrontSellers

Get seller by slug

Returns the public profile of a marketplace seller: identity, rating and public policies. Returns 404 when the store is not a marketplace or the seller does not exist.

GET/v1/sellers/{slug}

Returns the public profile of a marketplace seller: identity, rating and public policies. Returns 404 when the store is not a marketplace or the seller does not exist.

Path Parameters

slug*string

URL-friendly identifier.

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/sellers/example-resource" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "logo": "example",  "rating": {    "average": 1,    "totalReviews": 1  },  "deliveryPolicy": "example",  "privacyAndSecurityPolicy": "example"}